package com.qmth.paper.library.business.bean.dto;

import io.swagger.annotations.ApiModelProperty;

import java.util.ArrayList;
import java.util.List;

public class ExamStudentImport {

    @ApiModelProperty(value = "姓名")
    private String studentName;
    @ApiModelProperty(value = "学号")
    private String studentCode;
    @ApiModelProperty(value = "课程代码")
    private String courseCode;
    @ApiModelProperty(value = "课程名称")
    private String courseName;
    @ApiModelProperty(value = "学院")
    private String collegeName;
    @ApiModelProperty(value = "专业")
    private String majorName;
    @ApiModelProperty(value = "班级")
    private String className;
    @ApiModelProperty(value = "任课教师")
    private String teacher;
    @ApiModelProperty(value = "教学班")
    private String teachClass;
    @ApiModelProperty("考场")
    private String examRoom;
    @ApiModelProperty("成绩")
    private String score;
    @ApiModelProperty("备注")
    private String remark;
    @ApiModelProperty("必填字段集合")
    private List<CodeNameEnableDisabledValue> requiredFieldList = new ArrayList<>();
    @ApiModelProperty("扩展字段集合")
    private List<CodeNameEnableDisabledValue> extendFieldList = new ArrayList<>();
    @ApiModelProperty("错误信息")
    private String errorMsg;

    public String getStudentName() {
        return studentName;
    }

    public void setStudentName(String studentName) {
        this.studentName = studentName;
    }

    public String getStudentCode() {
        return studentCode;
    }

    public void setStudentCode(String studentCode) {
        this.studentCode = studentCode;
    }

    public String getCourseCode() {
        return courseCode;
    }

    public void setCourseCode(String courseCode) {
        this.courseCode = courseCode;
    }

    public String getCourseName() {
        return courseName;
    }

    public void setCourseName(String courseName) {
        this.courseName = courseName;
    }

    public String getCollegeName() {
        return collegeName;
    }

    public void setCollegeName(String collegeName) {
        this.collegeName = collegeName;
    }

    public String getMajorName() {
        return majorName;
    }

    public void setMajorName(String majorName) {
        this.majorName = majorName;
    }

    public String getClassName() {
        return className;
    }

    public void setClassName(String className) {
        this.className = className;
    }

    public String getTeacher() {
        return teacher;
    }

    public void setTeacher(String teacher) {
        this.teacher = teacher;
    }

    public String getTeachClass() {
        return teachClass;
    }

    public void setTeachClass(String teachClass) {
        this.teachClass = teachClass;
    }

    public String getExamRoom() {
        return examRoom;
    }

    public void setExamRoom(String examRoom) {
        this.examRoom = examRoom;
    }

    public String getScore() {
        return score;
    }

    public void setScore(String score) {
        this.score = score;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public List<CodeNameEnableDisabledValue> getRequiredFieldList() {
        return requiredFieldList;
    }

    public void setRequiredFieldList(List<CodeNameEnableDisabledValue> requiredFieldList) {
        this.requiredFieldList = requiredFieldList;
    }

    public List<CodeNameEnableDisabledValue> getExtendFieldList() {
        return extendFieldList;
    }

    public void setExtendFieldList(List<CodeNameEnableDisabledValue> extendFieldList) {
        this.extendFieldList = extendFieldList;
    }

    public String getErrorMsg() {
        return errorMsg;
    }

    public void setErrorMsg(String errorMsg) {
        this.errorMsg = errorMsg;
    }
}
